# Delete Users

> Deletes multiple users from an organization, based on the users IDs.

Deletes multiple users from an organization, based on the users IDs.

## API Endpoint

`DELETE` `https://{yourDomain}/{organizationName}/identity/api/User`

## Scopes

Requires the following scopes:

* PM.User
* PM.User.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2024.10/api-Guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId`  (required) | String | The ID of the organization you want to retrieve the robot accounts for. |

## Request Body

The request body contains the list of user IDs you want to bulk delete from the organization.

```
{
  "partitionGlobalId": "string",
  "userIds": [
    "string"
  ]
}
```

## Responses

### 204 Success

The indicated robot accounts are deleted from the organization.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://{yourDomain}/{organizationName}/{tenantName}/`
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `magic-7`
* The users you want to delete have the following IDs:
  + Dolores Umbridge: `dol-2908`
  + Quirinus Quirrell: `qui-2609`

The call should look like below (cURL):

```
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "partitionGlobalId": "magic-7",
    "userIds": [
        "dol-2908", "qui-2609"
    ]
}'
```
